Subject: [bug#50077] [PATCH v2 3/3] gnu: Add emacs-notmuch.

From: Xinglu Chen <[email-masked]>
Date: Tue, 14 Sep 2021 21:20:31 +0200

On Tue, Sep 14 2021, zimoun wrote:

> Hi,
>
> On Tue, 14 Sep 2021 at 17:29, Xinglu Chen <[email-masked]> wrote:
>> On Tue, Sep 14 2021, Andrew Tropin wrote:
>>> On 2021-09-04 11:42, Xinglu Chen wrote:
>
>>> Not sure if we need to hardcode the path to notmuch binary (some people
>>> can use guix for managing emacs packages, but not system), but I think
>>> it's a rare case and this default is reasonable and easily fixable by
>>> simple `(setq notmuch-command "notmuch")` in the cases, when notmuch
>>> itslef provided by other package manager.
>>
>> Yeah, this default should work for most people, and as you said, people
>> who haven’t installed Notmuch via Guix can just set to the
>> ‘notmuch-command’ to the appropriate value.  It’s Emacs after all... ;-)
>>
>> Also, since there was a consensus that Emacs packages that were included
>> in “regular” packages should be packaged as separate ‘emacs-’ packages,
>> I think it would be a good idea to add a paragraph about that in the
>> manual.
>
> I agree.  For references, this question appears here:
>
>    <http://issues.guix.gnu.org/issue/49457>
>    <http://issues.guix.gnu.org/issue/50231>
>
> so it seems something is missing in the manual. :-)

Just sent a patch for it.  :-)

  <https://issues.guix.gnu.org/issue/50589>